Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Interface IPrivileged

All Known Subinterfaces:
  IPrivilegedChannel

All Known Implementing Classes:
  BaseState, BaseState, CContentSubscriber, CError, CError, CFragmentManager, CLogin, CSecureInfo, CSiteMap, CSkinSelector, CSnoop, CUserLocalesSelector, CUserPreferences, CUserPreferences, FragmentManager, GPreferencesState, GPreferencesState, GPreferencesState.GBrowseState, GPreferencesState.GBrowseState, GPreferencesState.GEditLayoutItemState, GPreferencesState.GEditLayoutItemState, GPreferencesState.GGlobalPrefsState, GPreferencesState.GGlobalPrefsState, GPreferencesState.GMoveToState, GPreferencesState.GMoveToState, ManageProfilesState, ManageProfilesState, ManageProfilesState.CEditProfile, ManageProfilesState.CEditProfile, MultithreadedPrivilegedCacheableChannelAdapter, MultithreadedPrivilegedCacheableCharacterChannelAdapter, MultithreadedPrivilegedCacheableDirectResponseCharacterChannelAdapter, MultithreadedPrivilegedCacheableMimeResponseChannelAdapter, MultithreadedPrivilegedCacheableMimeResponseCharacterChannelAdapter, MultithreadedPrivilegedChannelAdapter, MultithreadedPrivilegedCharacterChannelAdapter, MultithreadedPrivilegedMimeResponseChannelAdapter, MultithreadedPrivilegedMimeResponseCharacterChannelAdapter, TabColumnPrefsState, TabColumnPrefsState, TabColumnPrefsState.DefaultState, TabColumnPrefsState.DefaultState, TabColumnPrefsState.NewChannelState, TabColumnPrefsState.NewChannelState, TabColumnPrefsState.ParametersState, TabColumnPrefsState.ParametersState, TabColumnPrefsState.ResetLayoutState, TabColumnPrefsState.ResetLayoutState, TabColumnPrefsState.SelectSkinsState, TabColumnPrefsState.SelectSkinsState

    public interface IPrivileged

This is an ancestor of the `IPrivilegedChannel` interface, allows for more general handling of both regular and multithreaded (`IMultithreadedChannel`) privileged channels in the framework.

Version:
  $Revision: 1.2 $
Author:
  Peter Kharchenko pkharchenko@interactivebusiness.com
See Also:
  `IPrivilegedChannel`

Method Summary
`void` | `setPortalControlStructures(PortalControlStructures pcs)` Passes portal control structure to the channel.

Method Detail

### setPortalControlStructures

    void setPortalControlStructures(PortalControlStructures pcs)
                                    throws PortalException

  Passes portal control structure to the channel.

  Throws:
    `PortalException`
  See Also:
    `PortalControlStructures`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD